Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# ACEXML_Element_Tree_List_Stack Class Reference

A class for managing a stack of ACEXML_Element_Tree_List_Node's. More...

`#include <parser/debug_validator/Element_Tree.h>`

Collaboration diagram for ACEXML_Element_Tree_List_Stack:

[legend]
List of all members.

## Public Member Functions
| ACEXML_Element_Tree_List_Stack ()
void | push (ACEXML_Element_Tree_List_Node *n)
ACEXML_Element_Tree_List_Node * | pop (void)
ACEXML_Element_Tree_List_Node * | top (void)
int | empty (void)
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
## Protected Attributes
ACEXML_Element_Tree_List_Node * | top_

## Detailed Description

A class for managing a stack of ACEXML_Element_Tree_List_Node's.

See also:
  ACEXML_Element_Tree_List_Node

## Constructor & Destructor Documentation

ACEXML_INLINE ACEXML_Element_Tree_List_Stack::ACEXML_Element_Tree_List_Stack | ( |  | ) |

## Member Function Documentation

ACEXML_INLINE int ACEXML_Element_Tree_List_Stack::empty | ( | void |  | ) |

ACEXML_INLINE ACEXML_Element_Tree_List_Node * ACEXML_Element_Tree_List_Stack::pop | ( | void |  | ) |

ACEXML_INLINE void ACEXML_Element_Tree_List_Stack::push | ( | ACEXML_Element_Tree_List_Node * | n | ) |

ACEXML_INLINE ACEXML_Element_Tree_List_Node * ACEXML_Element_Tree_List_Stack::top | ( | void |  | ) |

## Member Data Documentation

ACEXML_Element_Tree_List_Stack::ACE_ALLOC_HOOK_DECLARE

ACEXML_Element_Tree_List_Node* ACEXML_Element_Tree_List_Stack::top_`[protected]`

The documentation for this class was generated from the following files:

- Element_Tree.h
- Element_Tree.i